dbXML API

## org.dbxml.xml.dom
Class DOMParser

    java.lang.Object
      |
      +--org.apache.xerces.framework.XMLParser
            |
            +--org.apache.xerces.parsers.DOMParser
                  |
                  +--org.dbxml.xml.dom.DOMParser

All Implemented Interfaces:
  org.apache.xerces.framework.XMLDocumentHandler, org.apache.xerces.framework.XMLDocumentHandler.DTDHandler, org.apache.xerces.framework.XMLErrorReporter

public final class DOMParser
extends org.apache.xerces.parsers.DOMParser

DOMParser is a custom override of the Xerces DOM Parser that produces a dbXML DOM.

Inner classes inherited from class org.apache.xerces.framework.XMLDocumentHandler
`org.apache.xerces.framework.XMLDocumentHandler.DTDHandler`

Fields inherited from class org.apache.xerces.parsers.DOMParser
`DEFAULT_DEFERRED_DOCUMENT_CLASS_NAME, DEFAULT_DOCUMENT_CLASS_NAME`

Fields inherited from interface org.apache.xerces.framework.XMLErrorReporter
`ERRORTYPE_FATAL_ERROR, ERRORTYPE_RECOVERABLE_ERROR, ERRORTYPE_WARNING`

Constructor Summary
`DOMParser()`
`DOMParser(byte[] xml)` Constructor that takes a byte array and immediately parses it as a Document.
`DOMParser(org.xml.sax.InputSource source)` Constructor that takes a SAX InputSource to immediately parse the Document.
`DOMParser(java.io.InputStream input)` Constructor that takes an InputStream to immediately parse the Document.
`DOMParser(java.io.Reader input)` Constructor that takes a Reader to immediately parse the Document.
`DOMParser(java.lang.String xml)` Constructor that takes a String and immediately parses it as a Document.
`DOMParser(Value value)` Constructor that takes a dbXML Value and immediately parses it as a Document.

Method Summary
`static org.w3c.dom.Document` `toDocument(byte[] xml)` Parses a byte array into a DOM Document.
`static org.w3c.dom.Document` `toDocument(org.xml.sax.InputSource is)` Parses an InputSource into a DOM Document.
`static org.w3c.dom.Document` `toDocument(java.io.InputStream is)` Parses an InputStream into a DOM Document.
`static org.w3c.dom.Document` `toDocument(java.io.Reader input)` Parses a Reader into a DOM Document.
`static org.w3c.dom.Document` `toDocument(java.lang.String xml)` Parses a String into a DOM Document.
`static org.w3c.dom.Document` `toDocument(Value value)` Parses a dbXML Value into a DOM Document.

Methods inherited from class org.apache.xerces.parsers.DOMParser

`attlistDecl, characters, characters, comment, elementDecl, endCDATA, endDocument, endDTD, endElement, endEntityReference, endNamespaceDeclScope, externalEntityDecl, externalPEDecl, getCreateEntityReferenceNodes, getDocument, getFeature, getFeaturesRecognized, getIncludeIgnorableWhitespace, getPropertiesRecognized, getProperty, ignorableWhitespace, ignorableWhitespace, internalEntityDecl, internalPEDecl, internalSubset, notationDecl, processingInstruction, reset, resetOrCopy, setFeature, setIncludeIgnorableWhitespace, setProperty, startCDATA, startDocument, startDTD, startElement, startEntityReference, startNamespaceDeclScope, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class org.apache.xerces.framework.XMLParser
`addRecognizer, elementDecl, getEntityResolver, getErrorHandler, getfgDatatypeMessages, getfgImplementationMessages, getfgSchemaMessages, getfgXMLMessages, getfLocale, getLocator, isFeatureRecognized, isPropertyRecognized, parse, parse, parseSome, parseSomeSetup, reportError, setEntityResolver, setErrorHandler, setLocale, setReaderFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMParser

    public DOMParser()
              throws org.dbxml.server.dbXMLException

### DOMParser

    public DOMParser(org.xml.sax.InputSource source)
              throws org.dbxml.server.dbXMLException

  Constructor that takes a SAX InputSource to immediately parse the Document.
  Parameters:
    `source` - SAX InputSource

### DOMParser

    public DOMParser(java.io.InputStream input)
              throws org.dbxml.server.dbXMLException

  Constructor that takes an InputStream to immediately parse the Document.
  Parameters:
    `input` - The InputStream

### DOMParser

    public DOMParser(java.io.Reader input)
              throws org.dbxml.server.dbXMLException

  Constructor that takes a Reader to immediately parse the Document.
  Parameters:
    `input` - The Reader

### DOMParser

    public DOMParser(java.lang.String xml)
              throws org.dbxml.server.dbXMLException

  Constructor that takes a String and immediately parses it as a Document.
  Parameters:
    `xml` - XML Document as a String

### DOMParser

    public DOMParser(byte[] xml)
              throws org.dbxml.server.dbXMLException

  Constructor that takes a byte array and immediately parses it as a Document.
  Parameters:
    `xml` - The XML as a byte array

### DOMParser

    public DOMParser(Value value)
              throws org.dbxml.server.dbXMLException

  Constructor that takes a dbXML Value and immediately parses it as a Document.
  Parameters:
    `value` - The XML as a Value

Method Detail

### toDocument

    public static org.w3c.dom.Document toDocument(org.xml.sax.InputSource is)
                                           throws org.dbxml.server.dbXMLException

  Parses an InputSource into a DOM Document.
  Parameters:
    `is` - The InputSource
  Returns:
    A DOM Document

### toDocument

    public static org.w3c.dom.Document toDocument(java.io.InputStream is)
                                           throws org.dbxml.server.dbXMLException

  Parses an InputStream into a DOM Document.
  Parameters:
    `is` - The InputStream
  Returns:
    A DOM Document

### toDocument

    public static org.w3c.dom.Document toDocument(java.io.Reader input)
                                           throws org.dbxml.server.dbXMLException

  Parses a Reader into a DOM Document.
  Parameters:
    `input` - The Reader
  Returns:
    A DOM Document

### toDocument

    public static org.w3c.dom.Document toDocument(java.lang.String xml)
                                           throws org.dbxml.server.dbXMLException

  Parses a String into a DOM Document.
  Parameters:
    `xml` - The String
  Returns:
    A DOM Document

### toDocument

    public static org.w3c.dom.Document toDocument(byte[] xml)
                                           throws org.dbxml.server.dbXMLException

  Parses a byte array into a DOM Document.
  Parameters:
    `xml` - The byte array
  Returns:
    A DOM Document

### toDocument

    public static org.w3c.dom.Document toDocument(Value value)
                                           throws org.dbxml.server.dbXMLException

  Parses a dbXML Value into a DOM Document.
  Parameters:
    `value` - The Value
  Returns:
    A DOM Document

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved